
#version 130              // delete this line if using GLSL 1.2
precision mediump float;  // delete this line if using GLSL 1.2

in vec2 uv;

uniform float amount;
uniform sampler2D texture;

out vec4 fragColor;


void main(){

	vec4 texCol = texture2D(texture, uv);
	fragColor = texCol;
	fragColor.xyz = pow(fragColor.xyz, vec3(amount, amount, amount));

}